# Asterisk Project : Asterisk 13 Application_SpeechLoadGrammar

Created by wikibot on Aug 08, 2014

# SpeechLoadGrammar()

### Synopsis

Load a grammar.

### Description

Load a grammar only on the channel, not globally.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechLoadGrammar(grammar_name,path)

##### Arguments

- `grammar_name`
- `path`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538